// https://babeljs.io/docs/en/config-files#config-function-api
module.exports = function(api) {
    if (api.env('test')) {
        return {
            presets: [
                ['@babel/env', {
                    targets: {
                        node: 10,
                    },
                }],
                ['@babel/react', {
                    development: true,
                }],
                ['@babel/typescript', {
                    allExtensions: true,
                    isTSX: true,
                }],
            ],
            plugins: [
                '@babel/proposal-class-properties',
                '@babel/proposal-object-rest-spread',
            ],
        };
    }

    return {
        presets: [
            ['@babel/env', {
                modules: false,
                targets: {
                    browsers: [
                        'last 2 versions',
                        'not Safari < 10',
                        'not IE < 11',
                    ],
                },
            }],
            ['@babel/react', {
                development: api.env('development'),
            }],
            ['@babel/typescript', {
                allExtensions: true,
                isTSX: true,
            }],
        ],
        plugins: [
            '@babel/transform-runtime',
            '@babel/proposal-class-properties',
            '@babel/proposal-object-rest-spread',
        ],
    };
};


